=== debian/changelog ===
openldap (2.6.9+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * d/slapd.preinst: Back up config as LDIF before transitioning to OpenSSL.
  * d/NEWS, d/slapd.README.Debian:
    - Announce the switch to OpenSSL.
    - Document behaviour and config settings affected by the change.
  * d/control: Declare Standards-Version: 4.7.0.
  * d/slapd.service: Delete After=syslog.target. Fixes a Lintian warning
    (systemd-service-file-refers-to-obsolete-target).
  * Disable flaky tests test063-delta-multiprovider and
    test069-delta-multiprovider-starttls. Mitigates #1010608.
  * d/rules: Delete override_dh_auto_build target, so that -indep/-arch are
    actually used. See #1014334.
  * d/slapd.init:
    - Fix status_of_proc pidfile argument.
    - Fix olcPidFile regexp.
  * d/control: Remove inactive team members from Uploaders. Thanks to Torsten
    and Steve for their many past contributions.
  * d/gbp.conf: Return to master branch.

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 14 Jan 2025 18:30:51 -0800

openldap (2.6.9+dfsg-1~exp2) experimental; urgency=medium

  [ Ryan Tandy ]
  * Change TLS library from GnuTLS to OpenSSL.
    - d/control: Replace Build-Depends: libgnutls28-dev, nettle-dev with
      libssl-dev.
    - d/configure.options: Configure --with-tls=openssl.
    - d/p/contrib-makefiles: Drop changes to pbkdf2 and smbk5pwd to use
      nettle.
    - d/p/add-tlscacert-option-to-ldap-conf: Drop patch since the OpenSSL
      backend activates the default CAs automatically.
    - d/p/ldap-conf-tls-cacertdir: Drop patch since GnuTLS caveats are no
      longer applicable.
    - d/slapd.README.Debian: Drop GnuTLS caveat.

  [ Michael Tokarev ]
  * d/control: remove very old (before buster) versioned depends/conflicts
  * d/libldap2.README.Debian: remove: umounting /usr is not very interesting
    in 2025 (see also #182536)
  * remove ldiftopasswd script (it is a rather dangerous example to carry on)
  * d/slapd.scripts-common,d/debian/slapd.postinst: do not create
    /var/run/slapd (created in the startup script)
  * d/slapd.init: stop providing /var/run/slapd/ldapi symlink for compatibility
    with openldap 2.1
  * d/slapd.init: simplify it significantly
  * d/configure-options: enable systemd support (Closes: #1039299 #877512)
  * d/slapd.default, d/slapd.init: do not use "export" keyword in the default
    file (so it is processed by systemd), but export KRB5_KTNAME in init if set
  * d/rules: fix $? usage in clean target
  * d/rules: stop overriding dh_missing --fail-missing: it is the default
    in dh-compat 13+
  * d/rules: only do actual work in arch-dependent build
  * d/control: add myself to Uploaders
  * d/rules: add -Wno-unused-const-variable to CFLAGS
  * d/rules: add LC_ALL=C for the build rule
  * d/rules: add slapdS.c to blhc ignore-line
  * d/libldap-dev.links: stop generating it, dh is capable to expand variables
  * d/rules: fix override_dh_makeshlibs & override_dh_installdeb conditionals
  * d/slapd.preinst: remove stopping of slapd
    (#989155 in debhelper has been fixed)
  * d/rules: build flags & build tools
  * d/rules: simplify noslapd build-profile expressions by using noslapd var
  * d/rules: export DEB_MAINTAINER only once

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 Jan 2025 21:02:34 +0300

openldap (2.6.9+dfsg-1~exp1) experimental; urgency=medium

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Ryan Tandy ]
  * New upstream release.
    - Update patch 64-bit-time-t-compat.patch.
    - Drop ITS#10253 patch, applied upstream.
  * Apply patch from Helmut Grohne to fix cross-building ppm.
    (Closes: #1079533)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 23 Dec 2024 12:07:55 -0800

openldap (2.5.19+dfsg-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Ryan Tandy ]
  * New upstream release.
    - Drop ITS#10221 and ITS#10253 patches, applied upstream.
  * Apply patch from Helmut Grohne to fix cross-building ppm.
    (Closes: #1079533)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 23 Dec 2024 12:05:58 -0800

openldap (2.5.18+dfsg-3) unstable; urgency=medium

  * Fix FTBFS on 32-bit architectures. (ITS#10253) (Closes: #1078822)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 21 Aug 2024 20:38:08 -0700

openldap (2.5.18+dfsg-2) unstable; urgency=medium

  * Apply upstream patch to fix back-perl linking with libperl.
    (ITS#10221, LP: #2072976)
  * Add a superficial autopkgtest to ensure back_perl can be loaded.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 14 Jul 2024 14:37:43 -0700

openldap (2.5.18+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
  * Drop patch smbk5pwd-implicit-declaration, applied upstream.

  [ Sergio Durigan Junior ]
  * d/control: B-D on pkgconf instead of pkg-config.

  [ Helmut Grohne ]
  * Move systemd drop-in to /usr (DEP17). (Closes: #1073059)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 12 Jun 2024 19:23:12 -0700
