=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
-Uploaders: Ryan Tandy <ryan@nardis.ca>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Uploaders: Steve Langasek <vorlon@debian.org>,
+ Torsten Landschoff <torsten@debian.org>,
+ Ryan Tandy <ryan@nardis.ca>,
  Sergio Durigan Junior <sergiodj@debian.org>,
  Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
+               dh-apparmor,
                groff-base,
                heimdal-multidev <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
@@ -27,7 +31,7 @@
                libsasl2-modules-gssapi-mit <!nocheck>,
                sasl2-bin <!nocheck>,
 Build-Conflicts: libbind-dev, autoconf2.13
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://www.openldap.org/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
@@ -41,7 +45,7 @@
  psmisc,
  adduser, ${misc:Depends}
 Recommends: ldap-utils
-Suggests: libsasl2-modules,
+Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: ldap-server
 Provides: ldap-server, ${slapd:Provides}
@@ -80,8 +84,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libldap-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
 Description: OpenLDAP libraries
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.
