## openldap 2.6.10%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 export DEB_CFLAGS_MAINT_APPEND := -Wall -D_GNU_SOURCE -Wno-unused-const-variable
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all future=+lfs
-DPKG_EXPORT_BUILD_TOOLS=1
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/pkg-info.mk
 
 # Set this variable if you're building packages outside of Debian and don't
@@ -30,6 +28,9 @@
 endif
 ifneq (${noslapd},)
 	CONFIG += --disable-slapd
+endif
+ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
+	CONFIG += --with-yielding-select=yes ac_cv_func_memcmp_working=yes
 endif
 
 CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 ppm smbk5pwd
@@ -96,6 +97,11 @@
 	done
 endif
 
+override_dh_auto_test-arch:
+	# Disable certain timing-sensitive tests which can be flaky on buildds (#1010608)
+	rm -f tests/scripts/test063-delta-multiprovider tests/scripts/test069-delta-multiprovider-starttls
+	dh_auto_test
+
 override_dh_auto_install-arch:
 # systemdsystemunitdir: we ship our own systemd unit
 	dh_auto_install -- STRIP_OPTS= systemdsystemunitdir=
@@ -108,8 +114,13 @@
 	for F in $(installdir)/usr/lib/ldap/*.la; do \
 		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
 	done
-endif
-	
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile \
+	    $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 	# Check all built libraries for unresolved symbols except for the
 	# libslapi library.  It is a special case since the SLAPI interface
 	# depends on symbols defined in slapd itself.  Those symbols will
@@ -138,11 +149,6 @@
 	    ${installdir}/usr/share/man/man5/ldap.conf.5
 
 ifeq (${noslapd},)
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile \
-	    $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
-
 	# install Apport hook
 	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
 
@@ -150,8 +156,6 @@
 	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile \
 	    $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
 endif
-
-override_dh_auto_build: override_dh_auto_build-arch
 
 override_dh_installinit:
 	dh_installinit --no-restart-after-upgrade --error-handler=ignore_init_failure -- "defaults 19 80"
